#import "BasicAnimationsViewController.h"

@implementation BasicAnimationsViewController

@synthesize img;

//frame
//bounds
//center
//transform
//alpha

-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event{

	UITouch *myTouch = [touches anyObject];
	
	[UIView beginAnimations:@"hello" context:NULL];
	[UIView setAnimationDelegate:self];
	[UIView setAnimationDidStopSelector:@selector(doIt)];
	[UIView setAnimationDuration:UIViewAnimationCurveEaseOut];
	//[UIView setAnimationBeginsFromCurrentState:YES];
	img.center = [myTouch locationInView:self.view];
	[UIView setAnimationBeginsFromCurrentState:YES];
	//[UIView setAnimationCurve: UIViewAnimationCurveEaseIn];
	[UIView commitAnimations];
	
}

-(void)doIt{
	NSLog(@"it's done");
	
}

//This delegate is called after the completion of Animation.
- (void)animationDidStop:(NSString *)animID finished:(BOOL)didFinish context:(void *)context 
{
	NSLog(@"amiation touch has finished");
	[UIView beginAnimations:nil context:NULL];
	[UIView setAnimationDuration:.5];
	img.alpha = 0.0;
	[UIView commitAnimations];
	
}

- (IBAction)pushMove:(id)sender {
    [UIView beginAnimations:nil context:NULL];
	[UIView setAnimationDuration:1.5];
	img.transform = CGAffineTransformMakeTranslation(50, 100);
	[UIView commitAnimations];
}

- (IBAction)pushRevert:(id)sender {
	[UIView beginAnimations:nil context:NULL];
	[UIView setAnimationDuration:1.5];
	img.transform = CGAffineTransformIdentity;
	[UIView commitAnimations];
}

- (IBAction)pushRotate:(id)sender {
	[UIView beginAnimations:nil context:NULL];
	[UIView setAnimationDuration:1.5];
	img.transform = CGAffineTransformMakeRotation(0.78);
	[UIView commitAnimations];
}

- (IBAction)pushScale:(id)sender {
	[UIView beginAnimations:nil context:NULL];
	[UIView setAnimationDuration:1.5];
	img.transform = CGAffineTransformMakeScale(5, 5);
	[UIView commitAnimations];
}

- (IBAction)fadeIn:(id)sender {
	[ UIView beginAnimations:nil context:NULL];
	[ UIView setAnimationDuration:2.0 ];
	img.alpha = 1.0;
	///img.frame = CGRectMake(0, 0, 50, 50);
	//img.center = CGPointMake(50, 50);
	[ UIView commitAnimations ];
    
}

- (IBAction)fadeOut:(id)sender {
	[ UIView beginAnimations:nil context:NULL];
	[ UIView setAnimationDuration:1.0 ];
	img.alpha = 0.0;
	[ UIView commitAnimations ];
}


- (void)dealloc {
	[img release];
    [super dealloc];
}

@end
